
function [X,his] = RieRetraction(X,C)
HandleObj = @(X)ComputeObj(X,C);
for iter = 1:100
    [fobj,grad] = HandleObj(X);
    G = grad - X*grad'*X;
    X = retr(X,-G*0.005);
    his(iter) = fobj;
end


